export declare enum InputType {
    Keyboard = "keyboard",
    Mouse = "mouse",
    Gamepad = "gamepad"
}
export declare abstract class BaseInput {
    protected element: HTMLElement;
    protected active: boolean;
    constructor(element: HTMLElement);
    abstract getState(): any;
    capture(preventDefault: boolean): void;
    release(): void;
}
export interface IBaseInput {
}
